Contents
axPicker Help

axPicker is a activeX control, written in VB5,  for selecting items from one list (available) and moving them to another list (selected).

Installation

Revisions

License

Tech Support

Properties

Methods

Events


Revisions

1.0	Initial release

1.1	Changed name

1.1.6	Added single line border

Removed icon from about box title

1.2	ClearS did not work


License

This control was developed and published by Software Solution. You may use it freely for development with Microsoft Visual Basic 5.0. This product is freeware and includes source code which you may change to suit your purposes.


Tech Support

If you have any problems installing or using this control, please feel free to contact our technical support department at one of the following:

Internet:

kirkq@execpc.com

Telephone:

414-251-0915

Snail Mail:

N92W17053 Roger Ave

Menomonee Falls, WI 53051

HEY! Check out our world wide web page at:

HTTP://www.execpc.com/~kirkq


Properties

BorderStyle

Set border style for control: none, thin, thick, inset, raised

Enabled

Returns/sets a value that determines whether an object can respond to user-generated events

ListA(index)

String array of items in available list

Zero based

ListS(index)

String array of items in selected list

Zero based

ListCountA

Count of items in available list

ListCountS

Count of items in selected list

ListIndexA

Current selected item in available list

Zero based

ListIndexS

Current selected item in selected list

Zero based


Methods

AddItemA(string, optional index)

Add item to available list

Zero based

AddItemS(string, optional index)

Add item to selected list

Zero based

ClearA

Clear available list

ClearS

Clear selected list

RemoveItemA(index)

Remove item from available list

Zero based

RemoveItemS(index)

Remove item from selected list

Zero based

ShowAbout

Show about box for control


Events

None


Installation

- Unzip the source code with directories intact.

- Load the sample Project1 with Visual Basic. This should register the OCX for use with other VB applications. If it does not load correctly, then from the DOS prompt, move to the install directory and type: regsvr32 axPicker.ocx (you may need to put c:\windows\system\ in front of regsvr32 if you don't have a path.

- Whenever you want to add the control to a VB application, go to the Project/Components menu and select "ActiveX Picklist".